Bug 135132 - buttons chopped off on the right hand side
buttons chopped off on the right hand side
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-08 17:30 EDT by Bryan W Clark
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 20:44:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot using method described (41.24 KB, image/png)
2004-10-13 14:32 EDT, Bryan W Clark
no flags Details
output of /sbin/lspci -v (4.40 KB, text/plain)
2004-10-13 18:56 EDT, Bryan W Clark
no flags Details
output of kudzu -p -b ddc (412 bytes, text/plain)
2004-10-13 18:56 EDT, Bryan W Clark
no flags Details
screentshot of firstboot (50.50 KB, image/png)
2004-10-22 14:12 EDT, Bryan W Clark
no flags Details

  None (edit)
Description Bryan W Clark 2004-10-08 17:30:03 EDT
The buttons for selecting 'Customize', Resolution Size, and Number of
Colors are all chopped off on the right hand side.  It appears as if
something (white space) has overlayed on top of the buttons.
Comment 1 Paul Nasrat 2004-10-11 05:47:12 EDT
Could you take a screen shot and attach. firstboot --forceui
--autoscreenshot --debug should do it.

What version system-config-display and what hardware setup is it on.
Comment 2 Bryan W Clark 2004-10-13 14:32:50 EDT
Created attachment 105155 [details]
Screenshot using method described
Comment 3 Bryan W Clark 2004-10-13 14:35:58 EDT
system-config-display-1.0.21-1

01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4
MX 440 AGP 8x] (rev a2)

What else can I attach that would be helpful?
Comment 4 Paul Nasrat 2004-10-13 15:04:02 EDT
Could you attach /sbin/lspci -v, the output of kudzu -p -b ddc,
details of hardware, etc. What is the native resolution of the display
(is it a laptop LCD)? 
Comment 5 Bryan W Clark 2004-10-13 18:56:19 EDT
Created attachment 105174 [details]
output of /sbin/lspci -v
Comment 6 Bryan W Clark 2004-10-13 18:56:53 EDT
Created attachment 105175 [details]
output of kudzu -p -b ddc
Comment 7 Bryan W Clark 2004-10-13 19:03:01 EDT
the monitor is a HP P1100 and i believe it can do up to 1600x1200
the machine is a Dell generic desktop machine Optiplex 270 
Comment 8 Paul Nasrat 2004-10-18 02:27:53 EDT
Can you add the line:

monitorLabel.set_wrap(gtk.TRUE)

below line 405 of /usr/share/system-config-display/xConfigDialog.py
with matching indentation to line 405.

Then take another screenshot.
Comment 9 Paul Nasrat 2004-10-20 07:05:12 EDT
Were you able to test the instructions from the previous comment?
Comment 10 Bryan W Clark 2004-10-20 12:09:21 EDT
I lost my test machine, so I couldn't make the changes.  Hopefully
I'll get it back today to do the test.
Comment 11 Bryan W Clark 2004-10-22 14:11:43 EDT
Heh, got this error first, realized that it's actually set_line_wrap()

    monitorLabel.set_wrap(gtk.TRUE)
AttributeError: 'gtk.Label' object has no attribute 'set_wrap'

set_line_wrap(gtk.TRUE) seemed to fix the problem.  attaching screenshot.
Comment 12 Bryan W Clark 2004-10-22 14:12:55 EDT
Created attachment 105667 [details]
screentshot of firstboot
Comment 13 Bryan W Clark 2004-11-09 17:06:11 EST
paul, did this get a chance to move into rawhide?
Comment 14 Paul Nasrat 2004-11-09 17:21:13 EST
Not there yet - will be in next build.

Note You need to log in before you can comment on or make changes to this bug.